Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`logger`.`_filter``

module documentation
(source)

Filtering log observer.

Function | `shouldLogEvent` | Determine whether an event should be logged, based on the result of `predicates`.

def shouldLogEvent(predicates: `Iterable[ILogFilterPredicate]`, event: `LogEvent`) -> `bool`: (source)

Determine whether an event should be logged, based on the result of `predicates`.

By default, the result is `True`; so if there are no predicates, everything will be logged.

If any predicate returns `yes`, then we will immediately return `True`.

If any predicate returns `no`, then we will immediately return `False`.

As predicates return `maybe`, we keep calling the next predicate until we run out, at which point we return `True`.

Parameters
predicates:`Iterable[ILogFilterPredicate]` | The predicates to use.
event:`LogEvent` | An event
Returns
`bool` | True if the message should be forwarded on, `False` if not.